import { BinaryWriter } from "../../../../binary";
/** Module is the module config object for the cosmos.app v1 app module. */

/** Module is the module config object for the cosmos.app v1 app module. */

/** Module is the module config object for the cosmos.app v1 app module. */

function createBaseModule() {
  return {};
}
export const Module = {
  typeUrl: "/cosmos.app.module.v1alpha1.Module",
  encode(_, writer = BinaryWriter.create()) {
    return writer;
  },
  fromJSON(_) {
    return {};
  },
  fromPartial(_) {
    const message = createBaseModule();
    return message;
  },
  fromAmino(_) {
    const message = createBaseModule();
    return message;
  },
  toAmino(_) {
    const obj = {};
    return obj;
  },
  fromAminoMsg(object) {
    return Module.fromAmino(object.value);
  },
  toAminoMsg(message) {
    return {
      type: "cosmos-sdk/Module",
      value: Module.toAmino(message)
    };
  },
  fromProtoMsg(message) {
    return Module.decode(message.value);
  },
  toProto(message) {
    return Module.encode(message).finish();
  },
  toProtoMsg(message) {
    return {
      typeUrl: "/cosmos.app.module.v1alpha1.Module",
      value: Module.encode(message).finish()
    };
  }
};